package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * MBTI测评题目对象 b_busi_mbti_questions
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@ApiModel("MBTI测评题目")
public class BBusiMbtiQuestions extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 步骤 */
    @Excel(name = "步骤")
    @ApiModelProperty("步骤")
    private Long stepId;

    /** 序号 */
    @Excel(name = "序号")
    @ApiModelProperty("序号")
    private Long no;

    /** 题干 */
    @Excel(name = "题干")
    @ApiModelProperty("题干")
    private String title;

    /** 选项A */
    @Excel(name = "选项A")
    @ApiModelProperty("选项A")
    private String optionA;

    /** 选项B */
    @Excel(name = "选项B")
    @ApiModelProperty("选项B")
    private String optionB;

    /** 取值A */
    @Excel(name = "取值A")
    @ApiModelProperty("取值A")
    private String valueA;

    /** 取值B */
    @Excel(name = "取值B")
    @ApiModelProperty("取值B")
    private String valueB;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("进度")
    private Integer percent;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setStepId(Long stepId) {
        this.stepId = stepId;
    }

    public Long getStepId() {
        return stepId;
    }

    public void setNo(Long no) {
        this.no = no;
    }

    public Long getNo() {
        return no;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setOptionA(String optionA) {
        this.optionA = optionA;
    }

    public String getOptionA() {
        return optionA;
    }

    public void setOptionB(String optionB) {
        this.optionB = optionB;
    }

    public String getOptionB() {
        return optionB;
    }

    public void setValueA(String valueA) {
        this.valueA = valueA;
    }

    public String getValueA() {
        return valueA;
    }

    public void setValueB(String valueB) {
        this.valueB = valueB;
    }

    public String getValueB() {
        return valueB;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public Integer getPercent() {
        return percent;
    }

    public void setPercent(Integer percent) {
        this.percent = percent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("stepId", getStepId())
            .append("no", getNo()).append("title", getTitle()).append("optionA", getOptionA()).append("optionB", getOptionB())
            .append("valueA", getValueA()).append("valueB", getValueB()).append("status", getStatus()).toString();
    }
}
